# Method: domains.updateLdapssettings

- [HTTP request](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1beta1/projects.locations.global.domains/updateLdapssettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1beta1/projects.locations.global.domains/updateLdapssettings#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1beta1/projects.locations.global.domains/updateLdapssettings#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1beta1/projects.locations.global.domains/updateLdapssettings#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1beta1/projects.locations.global.domains/updateLdapssettings#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1beta1/projects.locations.global.domains/updateLdapssettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1beta1/projects.locations.global.domains/updateLdapssettings#try-it)

**Full name**: projects.locations.global.domains.updateLdapssettings

Patches a single ldaps settings.

### HTTP request

`PATCH https://managedidentities.googleapis.com/v1beta1/{ldapsSettings.name=projects/*/locations/global/domains/*}/ldapssettings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `ldapsSettings.name` | `string` The resource name of the LDAPS settings. Uses the form: `projects/{project}/locations/{location}/domains/{domain}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. Mask of fields to update. At least one path must be supplied in this field. For the `FieldMask` definition, see <https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask> This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1beta1/LDAPSSettings`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).